org.richfaces.cache.lru

## Class CacheMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<K,V>
      - - org.richfaces.util.LRUMap<Object,CacheEntry>
        - - org.richfaces.cache.lru.CacheMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Object,CacheEntry>

      public final class CacheMap
      extends LRUMap<Object,CacheEntry>

  User: akolonitsky Date: Oct 13, 2009
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheMap()`
    `CacheMap(int capacity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `PriorityQueue<CacheEntry>` | `getExpirationQueue()`
    `void` | `purge()`
    `CacheEntry` | `put(Object key, CacheEntry value)`
    `CacheEntry` | `remove(Object key)`

    - ### Methods inherited from class org.richfaces.util.LRUMap

      `removeEldestEntry`

    - ### Methods inherited from class java.util.LinkedHashMap

      `containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, putAll, putIfAbsent, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, putAll, putIfAbsent, remove, replace, replace, size`

- - ### Constructor Detail

    - #### CacheMap

          public CacheMap()

    - #### CacheMap

          public CacheMap(int capacity)

  - ### Method Detail

    - #### getExpirationQueue

          public PriorityQueue<CacheEntry> getExpirationQueue()

    - #### put

          public CacheEntry put(Object key,
                                CacheEntry value)

      Specified by:
        `put` in interface `Map<Object,CacheEntry>`
      Overrides:
        `put` in class `HashMap<Object,CacheEntry>`

    - #### remove

          public CacheEntry remove(Object key)

      Specified by:
        `remove` in interface `Map<Object,CacheEntry>`
      Overrides:
        `remove` in class `HashMap<Object,CacheEntry>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<Object,CacheEntry>`
      Overrides:
        `clear` in class `LinkedHashMap<Object,CacheEntry>`

    - #### purge

          public void purge()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.